org.apache.maven.scm.provider.perforce.command.update

## Class PerforceHaveConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.perforce.command.update.PerforceHaveConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class PerforceHaveConsumer
      extends AbstractConsumer

  Version:
    $Id: PerforceHaveConsumer.java 770320 2009-04-30 16:50:15Z olamy $
  Author:
    Emmanuel Venisse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerforceHaveConsumer(ScmLogger logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)`
    `String` | `getHave()`

    - ### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

      `getLogger, parseDate, parseDate, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerforceHaveConsumer

          public PerforceHaveConsumer(ScmLogger logger)

  - ### Method Detail

    - #### getHave

          public String getHave()
                         throws ScmException

      Throws:
        `ScmException`

    - #### consumeLine

          public void consumeLine(String line)

Copyright © 2003–2015. All rights reserved.